Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.information
Class BuildingInformation

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.information.WorldInformation
              jp.ac.nagoyau.is.ss.kishii.suntori.message.information.BuildingInformation

All Implemented Interfaces:
  IMessage

    public class BuildingInformation

extends WorldInformation

The BuildingInformation show the building information.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`BuildingInformation(int time, rescuecore2.worldmodel.EntityID buildingId, int fieryness, int brokenness)` Constructor
`BuildingInformation(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`int` | `getBrokenness()` Return brokenness of the building.
`rescuecore2.worldmodel.EntityID` | `getBuildingID()` Return EntityID of the building.
`rescuecore2.worldmodel.EntityID` | `getEntityID()`
`int` | `getFieryness()` Return fieryness of the building.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildingInformation

    public BuildingInformation(int time,
                               rescuecore2.worldmodel.EntityID buildingId,
                               int fieryness,
                               int brokenness)

  ## Constructor

  Create the inforamtion of building.
  Included data are follow.
  - time:the time that the message is created.(int)
  - buildingID:EntityID of the building
  - fieryness:fieryness of the building
  - brokenness:brokenness of the building

  Parameters:
    `time` - step num
    `buildingId` - EntityiD of the building
    `fieryness` - fieryness of the building
    `brokenness` - blockenness of the building

### BuildingInformation

    public BuildingInformation(java.util.List<java.lang.Integer> bitList,
                               int offset,
                               java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getBuildingID

    public rescuecore2.worldmodel.EntityID getBuildingID()

  Return EntityID of the building.

  Returns:
    EntityID

### getBrokenness

    public int getBrokenness()

  Return brokenness of the building.

  Returns:
    brokenness

### getFieryness

    public int getFieryness()

  Return fieryness of the building.

  Returns:
    fieryness

### getEntityID

    public rescuecore2.worldmodel.EntityID getEntityID()

  Specified by:
    `getEntityID` in class `WorldInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD